Subject: Lost Laptop Battery

From: Ben Campbell <[email-masked]>
Date: 19 Mar 2003 23:19:16 -0800

I seem to have lost a Dell laptop battery somewhere today. It is fairly
long, flat, and gray. I suspect I may have left it at the ENUM meeting
in Imperial B on Wednesday morning, but may have left it in the SIPPING
meeting in Continental 4. And of course, it may have leaped to its
freedom from my backpack somewhere along the way.

If anyone runs across it, I would greatly appreciate it if they would
let me know.

Thanks!

Ben.